This is a Laravel 5 package that provides offer management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `guru/offer`.

    "guru/offer": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Guru\Offer\Providers\OfferServiceProvider::class,

```

And also add it to alias

```php
'Offer'  => Guru\Offer\Facades\Offer::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Guru\Offer\Providers\OfferServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Guru\Offer\Providers\OfferServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Guru\Offer\Providers\OfferServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Guru\Offer\Providers\OfferServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Guru\Offer\Providers\OfferServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Guru\Offer\Providers\OfferServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


