<?php

// Admin web routes  for offer
Route::group(['prefix' => trans_setlocale().'/admin/offer'], function () {
    Route::resource('offer', 'Guru\Offer\Http\Controllers\OfferAdminWebController');
});

// Admin API routes  for offer
Route::group(['prefix' => trans_setlocale().'api/v1/admin/offer'], function () {
    Route::resource('offer', 'Guru\Offer\Http\Controllers\OfferAdminApiController');
});

// User web routes for offer
Route::group(['prefix' => trans_setlocale().'/user/offer'], function () {
    Route::resource('offer', 'Guru\Offer\Http\Controllers\OfferUserWebController');
});

// User API routes for offer
Route::group(['prefix' => trans_setlocale().'api/v1/user/offer'], function () {
    Route::resource('offer', 'Guru\Offer\Http\Controllers\OfferUserApiController');
});

// Public web routes for offer
Route::group(['prefix' => trans_setlocale().'/offers'], function () {
    Route::get('/', 'Guru\Offer\Http\Controllers\OfferPublicWebController@index');
    Route::get('/{slug?}', 'Guru\Offer\Http\Controllers\OfferPublicWebController@show');
});

// Public API routes for offer
Route::group(['prefix' => trans_setlocale().'api/v1/offers'], function () {
    Route::get('/', 'Guru\Offer\Http\Controllers\OfferPublicApiController@index');
    Route::get('/{slug?}', 'Guru\Offer\Http\Controllers\OfferPublicApiController@show');
});

// Admin web routes  for category
Route::group(['prefix' => trans_setlocale().'/admin/offer'], function () {
    Route::resource('category', 'Guru\Offer\Http\Controllers\CategoryAdminWebController');
});

// Admin API routes  for category
Route::group(['prefix' => trans_setlocale().'api/v1/admin/offer'], function () {
    Route::resource('category', 'Guru\Offer\Http\Controllers\CategoryAdminApiController');
});

// User web routes for category
Route::group(['prefix' => trans_setlocale().'/user/offer'], function () {
    Route::resource('category', 'Guru\Offer\Http\Controllers\CategoryUserWebController');
});

// User API routes for category
Route::group(['prefix' => trans_setlocale().'api/v1/user/offer'], function () {
    Route::resource('category', 'Guru\Offer\Http\Controllers\CategoryUserApiController');
});

// Public web routes for category
Route::group(['prefix' => trans_setlocale().'/offers'], function () {
    Route::get('/', 'Guru\Offer\Http\Controllers\CategoryPublicWebController@index');
    Route::get('/{slug?}', 'Guru\Offer\Http\Controllers\CategoryPublicWebController@show');
});

// Public API routes for category
Route::group(['prefix' => trans_setlocale().'api/v1/offers'], function () {
    Route::get('/', 'Guru\Offer\Http\Controllers\CategoryPublicApiController@index');
    Route::get('/{slug?}', 'Guru\Offer\Http\Controllers\CategoryPublicApiController@show');
});

