<?php

namespace Guru\Offer\Repositories\Eloquent;

use Guru\Offer\Interfaces\OfferRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class OfferRepository extends BaseRepository implements OfferRepositoryInterface
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'name'  => 'like'
    ];

    public function boot()
    {
        $this->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'));
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('package.offer.offer.model');
    }
}
